'From Squeak4.1.1 of 14 April 2010 [latest update: #9948] on 20 April 2010 at 10:41:52 pm'!

!ProportionalSplitterMorph methodsFor: 'boundaries' stamp: 'spfa 4/20/2010 22:38'!
bottomBoundary
	"Answert the bottommost x position the receiver could be moved."

	| splitter morphs |
	splitter := self splitterBelow.
	morphs := self commonNeighbours: rightOrBottom with: splitter.
	^ (splitter
		ifNil: [owner isSystemWindow ifTrue: [owner panelRect bottom]
				ifFalse: [owner innerBounds bottom]]
		ifNotNil: [splitter top])
		- (self minimumHeightOf: morphs)! !

!ProportionalSplitterMorph methodsFor: 'boundaries' stamp: 'spfa 4/20/2010 22:37'!
topBoundary
	"Answer the topmost x position the receiver could be moved to."

	| splitter morphs |
	splitter := self splitterAbove.
	morphs := self commonNeighbours: leftOrTop with: splitter.
	^ (splitter
		ifNil: [owner isSystemWindow ifTrue: [owner panelRect top]
				ifFalse: [owner innerBounds top]]
		ifNotNil: [splitter bottom])
		+ (self minimumHeightOf: morphs)! !

