'From Squeak3.8 of ''5 May 2005'' [latest update: #6665] on 23 May 2006 at 2:51:23 pm'!
MenuItemMorph subclass: #UpdatingMenuItemMorph
	instanceVariableNames: 'wordingProvider wordingSelector enablementSelector wordingArgument stepTimeGuess'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Morphic-Menus'!

!UpdatingMenuItemMorph commentStamp: 'spfa 11/30/2004 20:42' prior: 0!
A menu item whose textual label and whose enablement are updatable.  The wordingProvider provides the current wording, upon being being sent the wordingSelector.

The item can also dynamically update whether or not it should be enabled; to do this, give it an enablementSelector, which is also sent to the wordingProvider..

spfa add-on:

the stepTime is dynamically computed so that updates are as fast as possible with respect to the involved overhead!


!UpdatingMenuItemMorph methodsFor: 'stepping and presenter' stamp: 'spfa 8/19/2005 13:36'!
step
	super step.
	stepTimeGuess _ (([self updateContents] timeToRun * 100) 
							max: 100) min: 2000.! !

!UpdatingMenuItemMorph methodsFor: 'testing' stamp: 'spfa 5/22/2006 14:51'!
stepTime

	(self hasProperty: #fast) ifFalse: [^ 300].
	^ stepTimeGuess ifNil: [100]! !

